package com.bonus.canteen.core.order.android.dto;

import cn.hutool.core.bean.BeanUtil;
import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModelProperty;

public class OrderListAndroidCustQueryDTO extends PageDTO {
   @ApiModelProperty("核身方式")
   private Integer nuClearMode;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("支付宝uid")
   private String openId;
   @ApiModelProperty("物理卡号")
   private String serialNum;
   @ApiModelProperty("二维码")
   private String qrCode;

   public OrderListAndroidQueryDTO convertToOrderListAndroidQueryDTO() {
      OrderListAndroidQueryDTO queryDTO = (OrderListAndroidQueryDTO)BeanUtil.copyProperties(this, OrderListAndroidQueryDTO.class, new String[0]);
      return queryDTO;
   }

   public Integer getNuClearMode() {
      return this.nuClearMode;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getOpenId() {
      return this.openId;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public String getQrCode() {
      return this.qrCode;
   }

   public OrderListAndroidCustQueryDTO setNuClearMode(final Integer nuClearMode) {
      this.nuClearMode = nuClearMode;
      return this;
   }

   public OrderListAndroidCustQueryDTO setCustId(final Long custId) {
      this.custId = custId;
      return this;
   }

   public OrderListAndroidCustQueryDTO setOpenId(final String openId) {
      this.openId = openId;
      return this;
   }

   public OrderListAndroidCustQueryDTO setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
      return this;
   }

   public OrderListAndroidCustQueryDTO setQrCode(final String qrCode) {
      this.qrCode = qrCode;
      return this;
   }

}
